#ifndef XGFXLIGHTDEF_H
#define XGFXLIGHTDEF_H

#include "xasset.h"
#include "xgfxlightimage.h"
#include "xstring.h"

class XGfxLightDef : public XAsset
{
public:
    explicit XGfxLightDef();
    ~XGfxLightDef();

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    XString mName;
    XGfxLightImage mAttenuation;
    int mLmapLookupStart;
};

#endif // XGFXLIGHTDEF_H
